# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time
import os

GPIO.setmode(GPIO.BCM)
LED = [4,17,22,10,9,11]

g1 = 1
g2 = 10
g3 = 100
g4 = 500

for i in range(6):
    GPIO.setup(LED[i], GPIO.OUT, initial=0)

try:
  while True :
    s = os.statvfs('/')
    f = s.f_bsize * s.f_bavail / 1048576

    if f < g1:
      x = "110000"
    elif f < g2:
      x = "011000"
    elif f < g3:
      x = "001100"
    elif f < g4:
      x = "000110"
    else:
      x = "000011"

    for i in range(6):
      GPIO.output(LED[i], int(x[i]))

    time.sleep(1.0)

except KeyboardInterrupt:
  GPIO.cleanup()
