# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time
import random

GPIO.setmode(GPIO.BCM)
LED = [4,17,22,10,9,11]

for x in range(6):
    GPIO.setup(LED[x], GPIO.OUT, initial=0)

GPIO.setup(7, GPIO.IN) 

print "Knopf drücken, um zu würfeln. Strg+C beendet das Programm"
GPIO.output(LED[5], 1)

try:
  while True :

    if GPIO.input(7)==1:
      for x in range(6):
        GPIO.output(LED[x], 0)

      time.sleep(0.5)
      w = random.randint(1,6)
      print "Gewürfelte Zahl:" + str(w)

      for x in range(w):
        GPIO.output(LED[x], 1)  

except KeyboardInterrupt:
  GPIO.cleanup()
